<section class="invoices">
  <div
    class="card card--animate"
    *ngFor="let invoice of invoices"
    (click)="onInvoiceClick(invoice)"
  >
    <app-id class="card__id" [id]="invoice.id"></app-id>
    <p class="card__date">
      <ng-container *ngTemplateOutlet="date"></ng-container>
    </p>
    <span class="card__name">{{ invoice.clientName }}</span>
    <p class="card__amount">
      <ng-container *ngTemplateOutlet="amount"></ng-container>
    </p>
    <div class="card__date-amount">
      <p class="card__date-amount__date">
        <ng-container *ngTemplateOutlet="date"></ng-container>
      </p>
      <p class="card__date-amount__amount">
        <ng-container *ngTemplateOutlet="amount"></ng-container>
      </p>
    </div>
    <ng-template #date
      ><span
        >Due {{ invoice.paymentDue | date: "dd MMM yyyy" }}</span
      ></ng-template
    >
    <ng-template #amount>{{
      invoice.total | currency: "":"" | pesoSign
    }}</ng-template>
    <app-status-box
      [status]="invoice.status"
      class="card__status"
    ></app-status-box>
    <svg
      xmlns="http://www.w3.org/2000/svg"
      class="card__chevron"
      fill="none"
      viewBox="0 0 24 24"
      stroke="currentColor"
    >
      <path
        stroke-linecap="round"
        stroke-linejoin="round"
        stroke-width="2"
        d="M9 5l7 7-7 7"
      />
    </svg>
  </div>
</section>
